	.386
	.model	use32 small

	extrn exp : proc, allerr : proc
	public	_sinh
	.data
nm	db	"sinh",0

	.code
two	dw	2

_sinh:
      	push	ebp
	mov	ebp,esp
	mov	eax,4
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	qword ptr [ecx]
	call	exp
	fld	qword ptr [ecx]
	fchs
	call	exp
	fsubp   st(1)
	fild	word ptr [two]
	fdivp	st(1)
	lea	eax,[nm]
	call	allerr
	leave
	ret
	end